> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get storageentities

> Get a list of storage entities



## OpenAPI

````yaml /schema.json get /storage/entities/{identifier}
openapi: 3.1.0
info:
  version: 01KVQG1C20MKD0B8FDPE4RHEDH
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /storage/entities/{identifier}:
    get:
      tags:
        - Storage
      description: Get a list of storage entities
      operationId: getStorageEntities
      parameters:
        - name: identifier
          in: path
          description: Storage identifier.
          required: true
          schema:
            type: string
        - name: filter
          in: query
          description: Apply search criteria.
          required: false
          schema:
            type: string
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StorageEntitiesListResult'
        default:
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    StorageEntitiesListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/StorageEntitiesList'
        next:
          $ref: '#/components/schemas/Next'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    StorageEntitiesList:
      type: array
      items:
        $ref: '#/components/schemas/StorageEntities'
    Next:
      type: array
      items:
        oneOf:
          - type: string
          - type: number
          - type: integer
          - type: boolean
          - type: object
          - type: array
            items:
              oneOf:
                - type: string
                - type: number
                - type: integer
                - type: boolean
                - type: object
    StorageEntities:
      type: object
      properties:
        identifier:
          title: Identifier
          type: string
        updatedAt:
          title: Updated at
          type: string
          format: date-time

````